`gff` <-
function(mpks, file, source="ChIP", feature=".", strand="+", frame=".")
{
  # <seqname> <source> <feature> <start> <end> <score> <strand> <frame>
  # [attributes] [comments]

  n = nrow(mpks)

  seq = mpks$chr  
  sou = rep(source, n)
  fet = rep(feature, n)
  sta = mpks$start
  end = mpks$end
  sco = mpks$score
  str = rep(strand, n)
  fra = rep(frame, n)
  att = mpks$n.probe
  com = mpks$lfdr

  gff1 = data.frame(seq, sou, fet, sta, end, sco, str, fra, att, com)
  write.table(gff1, file, sep="\t", row.names=FALSE,
    col.names=FALSE, quote=FALSE)
}
