`plot.lfdr` <-
function(x, lower, upper, lg=TRUE, lg.x=NULL, lg.y=NULL,
  xl = expression(log[2](ratio))){

  plot(x$pt, x$fb, type="l", lty=4, main="",
    xlim=c(lower, upper), col="darkblue", xlab=xl, ylab="density")

  pt1 = 2*x$mean0 - x$pt
  lines(pt1, x$f0*x$pi0, type="l", lty=4, col="darkblue")
  lines(pt1, x$f0*x$pi0, type="l", lty=2, col="red")

  lines(x$pt, x$f0*x$pi0, type="l", lty=2, col="red")

  abline(v = x$median, lty=2, col="orange")
  
  if(lg){
    lg1 = expression(pi[0] * f[0])
    lg2 = expression(pi[0] * f[0] + pi[1] * f[1])
    # lg1 = "background dist."
    # lg2 = "overall dist."
    if(is.null(lg.x)){ lg.x = lower + 0.55*(upper-lower) }
    if(is.null(lg.y)){ lg.y = 0.95*max(x$fb) }
    legend(lg.x, lg.y, c(lg1,lg2), lty=c(2,4), col=c("red","darkblue"), bty="n")
  }
}
