`win` <-
function(chr, pL, pR, x, plfdr, lambda=1/500, radius=200, 
 precision=0.01){
 
  if(!precision %in% c(0.01, 0.001, 0.0001)){
    stop("precision must be one of 0.01, 0.001, or 0.0001\n")
  }
  
  chr = as.character(chr)  
  uchr = unique(chr)
  
  wx = wL = wR = wpL = wpR = numeric(0)
  wChr = character(0)
  
  for(cc in uchr){
    w1 = which(chr==cc)
    min.gap = min(diff(pL[w1]))
    if(min.gap < 0){
      stop("probes must be ordered by choromsome location\n")
    }
    if(min.gap == 0){
      stop("two probes in one location\n")
    }
    
    xChr  = x[w1]
    pLChr = pL[w1]
    pRChr = pR[w1]
    
    wxChr = wLChr = wRChr = numeric(length(w1))
    dims = numeric(3)
    dims[1] = length(w1)
    dims[2] = radius
    mu0  = plfdr$mean0
    var0 = plfdr$var0
  
    Z = .C("win", as.double(pLChr), as.double(pRChr), as.double(xChr), 
      wL = as.integer(wLChr), wR = as.integer(wRChr), wx = as.double(wxChr), 
      as.double(mu0), as.double(var0), as.integer(dims), as.double(lambda),
      PACKAGE="mixer")
      
    wx = c(wx, Z$wx)
    wL = c(wL, Z$wL)
    wR = c(wR, Z$wR)
    wpL = c(wpL, pLChr)
    wpR = c(wpR, pRChr)
    
    wChr = c(wChr, rep(cc, length(w1)))
  }
                
  wx = round(wx, -log10(precision))

  data.frame(chr=wChr, start=wpL, end=wpR, wL=wL, wR=wR, x=wx)
}
