\name{lfdr}
\alias{lfdr}
\title{ estimate local FDR }
\description{
  estimate local FDR based on kernel estimation of density
}
\usage{
lfdr(x, precision = 0.01, M=4, nL=20, nR=20)
}
\arguments{
  \item{x}{ a vector of signals/scores }
  \item{precision}{ because the non-parametric methos is used, local FDR is 
  estimated at fixed points, precision is the gap between adjacent points 
  where local FDR are estimated. Currently, precision can only be one of 0.01 
  (default), 0.001, or 0.0001.}
  \item{M}{parameter used by function savgol.coef to identify the modes of density(x).
  M is the order of the polynomial used to approximate the desired function. 
  Allowed values of M are 4, 5, or 6}
  \item{nL}{parameter used by function savgol.coef to identify the modes of density(x).
  Given one point X, nL is the number of data points to the left of X that are used to 
  estimate the direvative at X}
  \item{nR}{parameter used by function savgol.coef to identify the modes of density(x).
  Given one point X, nR is the number of data points to the right of X that are used to 
  estimate the direvative at X}    
}
\value{
 a list of class lfdr. 
  \item{mean0 }{ mean value of null distribution  }
  \item{var0 }{ variance of null distribution  }
  \item{pi0 }{ estimated proportion of null  }
  \item{precision }{ estimated proportion of null  }
  \item{pt }{ points where local FDR is estimated  }
  \item{f0 }{ estimated density of null  }
  \item{fb }{ estimated density mixutre  }
  \item{lfdr }{ estimated local FDR  }
  \item{median }{ median(x)  }
}
\author{ Wei Sun }
\seealso{ \code{\link{plot.lfdr}} }

\keyword{ methods }
