\name{mergeWindow}
\alias{mergeWindow}
\title{ merge identified windows (peaks) }
\description{
  Grouping identified windows with significant scores into non-overlapped peak regions
}
\usage{
mergeWindow(windowX, wl, probeX, pl, radius, lambda=1/500, 
 window.cut=0.05, probe.cut.type = "lfdr", probe.cut=0.1, n.probe=3)
}
\arguments{
  \item{windowX}{ window level score. Output of funciton win }
  \item{wl}{ local FDR for winodw level score, output of fucntion lfdr }
  \item{probeX}{ probe level signal }
  \item{pl}{ local FDR for probe level signal, output of fucntion lfdr }
  \item{radius}{ half of the window size }
  \item{lambda}{ incident rate in the Poisson point process 
  modeling the sonicantion process. If on average, there is one 
  break up of DNA sequence per 500 bp, lambda = 1/500. }
  \item{window.cut}{ cutoff of window level local FDR }
  \item{probe.cut.type}{ if probe.cut.type="lfdr", use lfdr as probe level cutoff, otherwise use probe signal as cutoff }
  \item{probe.cut}{ cutoff of probe level local FDR }
  \item{n.probe}{ claim on window as a peak if at least n.probe in one window has local FDR smaler than probe.cut }
}
\details{
  it is not precisly "merge". We simply pick up one significant peak and eliminate related probes and then re-evaluate window level score and pick up another peak if there is one. 
}
\value{
  data.frame, each row for one peak
  \item{start }{ start position of the peak}
  \item{end }{ end position of the peak}
  \item{score }{ score of the peak}
  \item{n.probe }{ the total number of probes in one peak}
  \item{lfdr }{ local FDR}
}
\author{ Wei Sun }
\seealso{ \code{\link{win}} }

\keyword{ methods }
