\name{norm.GC}
\alias{norm.GC}
\title{ Normalize 2-color array ChIP-chip data based on GC content }
\description{
   Normalize are carried separatly for different GC content
}
\usage{
norm.GC(x5, x3, nGC, method = c("lowess", "linear"), f=1/3, n.grp=500)
}
\arguments{
  \item{x5}{ a vector of the log-transformed Cy5 (IP) data }
  \item{x3}{ a vector of the log-transformed Cy3 Control) data }
  \item{nGC}{ a vector of the counts of G/C nucleotides in each probe,
  Note, it is asssumed that x5, x3 and nGC have the same order }
  \item{method}{ Two methods of normalizatoin, see details }
  \item{f}{ the parameter (fraction of data used) for lowess smoothing }
  \item{n.grp}{ the minimum number of probes within a GC group.
    If there are less than n.grp probes in one GC group, combine it
    with the group of similar GC content. Currently we
    assume only those groups with too big or too small GC content
    may have fewer probes than needed }
}
\details{
  There are two methods of normalizations. Either by median regression,
  using function rq from R/quantreg or using lowess to fit the curve,
  and then take the residuals, divided by median absolute deviation.
}
\value{
  a vector of nomalized version of 'x5-x3'.
}
\author{ Wei Sun }
\keyword{ methods }
