\name{savgol.coef}
\alias{savgol.coef}
\docType{data}
\title{ coefficients of Savitzky-Golay smoothing filter for 1st/2nd derivative }
\description{
  These coefficients will be used in function lfdr to calculate the derivatives 
  of the estimated density curve.   
}
\usage{data(savgol.coef)}
\format{
  A list with two data frames. savgol.coef[[1]] and savgol.coef[[2]] are 
  coefficients for 1st and 2nd derivatives, respectively. Each data frame
  include the following variables:
  \describe{
    \item{\code{M}}{ the order of the polynomial used to aproximate the 
    desired function }
    \item{\code{nL}}{Given one point X, the number of data points to 
     the left of X that are used to estimate the direvative at X}
    \item{\code{nR}}{Given one point X, the number of data points to 
     the right of X that are used to estimate the direvative at X}
    \item{\code{V1 ... V41}}{coefficients}
  }
}
\details{
  Coefficeints for different cobinations of M, nL, and nR are provided. By 
  default, funciton lfdr use M = 4, nL = nR = 5.
}
\source{
  the data is computed by the c runtine ``savgol'' from Numerical Recipe
}
\references{
  Numerical Recipes in C: The Art of Scientific Computing, 
  by William H. Press, Brian P. Flannery, Saul A. Teukolsky, 
  William T. Vetterling, Cambridge University Press; 
  2nd edition, 1992
}
\examples{
data(savgol.coef)
}
\keyword{datasets}
