\name{win}
\alias{win}
\title{ calculate window-level score }
\description{
  calculate window-level scores based on probe-level score and probe-level local FDR.  
}
\usage{
win(chr, pL, pR, x, plfdr, lambda=1/500, radius=200, 
 precision=0.01)
}
\arguments{
  \item{chr}{ a vector, indicating chromosome of each probe}
  \item{pL}{ a vector of probe start positions}
  \item{pR}{ a vector of probe end positions}
  \item{x}{ probe signal }
  \item{plfdr}{ a list of class "lfdr", output of function lfdr }
  \item{lambda}{ the incident rate used to model the sonicaiton process, 
   suppose there is one cut of DNA seqeunce per k bp, then lambda = 1/k }
  \item{radius}{ half of the window size }
  \item{precision}{ because the non-parametric methos is used, local FDR is estimated at fixed points, precision is the gap between adjacent points where local FDR are estimated. Currently, precision can only be one of 0.01 (default), 0.001, or 0.0001. }
}
\details{
  each window is centered on one probe, and extedn length of raduis
}
\value{
  data.frame
  \item{start }{ porbe start }
  \item{end }{ porbe end }
  \item{wL }{ number of probes to the left }
  \item{wR }{ number of probes to the right }
  \item{x }{ window-level score }
}

\author{ Wei Sun }
\seealso{ \code{\link{mergeWindow}} }

\keyword{ methods }
